Bug 1416834 - Gracefully fails if user is still using old hiera mechanism.
Summary: Gracefully fails if user is still using old hiera mechanism.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Marios Andreou
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 15:01 UTC by Sofer Athlan-Guyot
Modified: 2017-05-17 19:43 UTC (History)
8 users (show)

Fixed In Version: openstack-heat-agents-1.0.0-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:43:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 450195 None None None 2017-03-27 13:25:56 UTC
Launchpad 1659540 None None None 2017-01-26 15:02:32 UTC

Description Sofer Athlan-Guyot 2017-01-26 15:01:38 UTC
Hi,

as described there[1], the new hiera hook is a breaking change in in ocata. As there hasn't been
a deprecation period, we have to make any error very user friendly.

Currently the template deployment are just stuck.

This bug should make sure that we have such mechanism in place. Steve Hardy suggested that 99-refresh-completed could be a good candidate to signal the error.

A strong documentation should go with this change.

[1] http://lists.openstack.org/pipermail/openstack-dev/2017-January/110922.html

Comment 2 Marios Andreou 2017-03-27 13:25:57 UTC
AFAICS we still need to cherrypick this to ocata, as I can't see it in [3] and my just upgraded OSP11 undercloud with openstack-heat-agents-1.0.0-2.el7ost.noarch doesn't have the fix. I just posted the cherrypick at https://review.openstack.org/#/c/450195/ 
        
As discussed on the openstack-dev mailing list at [1] we remove any existing data during the newton to ocata upgrade with [2] so the remaining cherrypick is just for deployments starting at ocata

thanks

Comment 3 Marios Andreou 2017-03-27 13:26:35 UTC
(In reply to marios from comment #2)
> AFAICS we still need to cherrypick this to ocata, as I can't see it in [3]
> and my just upgraded OSP11 undercloud with
> openstack-heat-agents-1.0.0-2.el7ost.noarch doesn't have the fix. I just
> posted the cherrypick at https://review.openstack.org/#/c/450195/ 
>         
> As discussed on the openstack-dev mailing list at [1] we remove any existing
> data during the newton to ocata upgrade with [2] so the remaining cherrypick
> is just for deployments starting at ocata
> 
> thanks

woops sorry, 
[1] http://lists.openstack.org/pipermail/openstack-dev/2017-January/110922.html we         
[2] https://github.com/openstack/tripleo-heat-templates/blob/stable/ocata/environments/major-upgrade-composable-steps.yaml#L10-L15
[3] https://github.com/openstack/heat-agents/blob/stable/ocata/heat-config-hiera/install.d/hook-hiera.py

Comment 4 Sofer Athlan-Guyot 2017-03-30 08:56:35 UTC
Nearly merged in stable/ocata.

Comment 9 errata-xmlrpc 2017-05-17 19:43:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.